Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.jdtimpl
Class JDTSearchResultsMarkupProvider

    java.lang.Object
      org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMarkupProvider
          org.eclipse.contribution.visualiser.jdtimpl.JDTSearchResultsMarkupProvider

All Implemented Interfaces:
  IMarkupProvider

public class JDTSearchResultsMarkupProvider
extends SimpleMarkupProvider

The JDT Search Results Markup Provider

Field Summary

Fields inherited from class org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMarkupProvider
`markupKinds, markups`

Constructor Summary
`JDTSearchResultsMarkupProvider()`

Method Summary
`java.util.SortedSet` | `getAllMarkupKinds()` Get all the markup kinds - which in this case is the label for the last run search (if it was a java search)
`java.util.List` | `getMemberMarkups(IMember member)` Get a List of Stripes for the given member, which are its markups.
`boolean` | `isJavaSearch()`
`boolean` | `processMouseclick(IMember member, Stripe stripe, java.lang.String exactKind, int buttonClicked)` Process a mouse click on a stripe.
`static void` | `resetCache()`
`void` | `setJavaSearch(boolean isJavaSearch)` Sets whether the search currently in the search results view is a JavaSearch or not
`void` | `setJavaSearchResult(org.eclipse.jdt.internal.ui.search.JavaSearchResult javaSearchResult)` Sets the last run JavaSearchResult

Methods inherited from class org.eclipse.contribution.visualiser.interfaces.simpleImpl.SimpleMarkupProvider
`activate, addMarkup, changeMode, deactivate, getColorFor, getGroupMarkups, hasMultipleModes, initialise, processMarkups, processMouseclick, resetColours, setColorFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDTSearchResultsMarkupProvider

    public JDTSearchResultsMarkupProvider()

Method Detail

### resetCache

    public static void resetCache()

### getMemberMarkups

    public java.util.List getMemberMarkups(IMember member)

  Get a List of Stripes for the given member, which are its markups.

  Specified by:
    `getMemberMarkups` in interface `IMarkupProvider`
  Overrides:
    `getMemberMarkups` in class `SimpleMarkupProvider`

### getAllMarkupKinds

    public java.util.SortedSet getAllMarkupKinds()

  Get all the markup kinds - which in this case is the label for the last run search (if it was a java search)

  Specified by:
    `getAllMarkupKinds` in interface `IMarkupProvider`
  Overrides:
    `getAllMarkupKinds` in class `SimpleMarkupProvider`
  Returns:
    a Set of Strings

### processMouseclick

    public boolean processMouseclick(IMember member,
                                     Stripe stripe,
                                     java.lang.String exactKind,
                                     int buttonClicked)

  Process a mouse click on a stripe. This method opens the editor at the line of the stripe clicked.

  See Also:
    `org.eclipse.contribution.visualiser.interfaces.IMarkupProvider#processMouseclick(java.lang.String, org.eclipse.contribution.visualiser.core.Stripe, int)`

### isJavaSearch

    public boolean isJavaSearch()

  Returns:
    Returns whether the last run search is a JavaSearch or not.

### setJavaSearch

    public void setJavaSearch(boolean isJavaSearch)

  Sets whether the search currently in the search results view is a JavaSearch or not

  Parameters:
    `isJavaSearch` -

### setJavaSearchResult

    public void setJavaSearchResult(org.eclipse.jdt.internal.ui.search.JavaSearchResult javaSearchResult)

  Sets the last run JavaSearchResult

  Parameters:
    `javaSearchResult` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD